<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesFarmaceutica.home.createOrEditLabel"
          data-cy="FarmaceuticaCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesFarmaceutica.home.createOrEditLabel')"
        >
          Create or edit a Farmaceutica
        </h2>
        <div>
          <div class="form-group" v-if="farmaceutica.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="farmaceutica.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesFarmaceutica.nombre')" for="farmaceutica-nombre"
              >Nombre</label
            >
            <input
              type="text"
              class="form-control"
              name="nombre"
              id="farmaceutica-nombre"
              data-cy="nombre"
              :class="{ valid: !$v.farmaceutica.nombre.$invalid, invalid: $v.farmaceutica.nombre.$invalid }"
              v-model="$v.farmaceutica.nombre.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesFarmaceutica.direccion')" for="farmaceutica-direccion"
              >Direccion</label
            >
            <input
              type="text"
              class="form-control"
              name="direccion"
              id="farmaceutica-direccion"
              data-cy="direccion"
              :class="{ valid: !$v.farmaceutica.direccion.$invalid, invalid: $v.farmaceutica.direccion.$invalid }"
              v-model="$v.farmaceutica.direccion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesFarmaceutica.propietario')" for="farmaceutica-propietario"
              >Propietario</label
            >
            <input
              type="text"
              class="form-control"
              name="propietario"
              id="farmaceutica-propietario"
              data-cy="propietario"
              :class="{ valid: !$v.farmaceutica.propietario.$invalid, invalid: $v.farmaceutica.propietario.$invalid }"
              v-model="$v.farmaceutica.propietario.$model"
            />
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.farmaceutica.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./farmaceutica-update.component.ts"></script>
